Subject: [MOBILE-IP] Comparison of Fast Handoff and Proactive Handoff

From: James Kempf <[email-masked]>
Date: Wed, 12 Jul 2000 14:56:54 -0700

Karim and Hesham,

I just had an opportunity to look through your draft,
draft-elmalki-mobile-ip-fast-handoffs-02.txt and compare it with the
work that Pat and I are doing.

A major and important difference from our work is that in the
work we are doing agent advertisment beacons at L3 are not necessary, nor
is there a need for the mobile node to register before receiving
packets from the new FA. The old FA directs the new FA to take
the handoff without the involvement of the mobile node, and the GFA
registers the mobile for some period of time. The mobile, upon
receiving packets from the new FA, then performs a full registration.
This has a number of consequences:

1) The lack of need for L3 beacons means that there is no need
to take up precious air time on a bearer channel for those radio systems (like
3G systems) where spectrum is licensed, and often very expensive.

2) The new FA has an opportunity to perform checks of QoS capacity and other
resource checks before admitting the mobile. A new FA can additionally
reject a handoff if taking the mobile would exceed the QoS capacity.
In that case, the old FA can try to hand off the mobile to another
FA before the mobile's signal fades to the point where packet drop
becomes a problem.

3) As mentioned in my previous email, with our draft, it is possible
to perform handoff between two RANs that are not directly connected at L2,
although it would require some L2 support and some exchange of L2 information
between the two disconnected RANs through L3. This is important for
3G systems, but probably not something the mobile IP group wants to
dwell on, since it does involve L2 details.

On the other hand, your draft proposes triangle routing elimination
within the purview of the GFA without having to do binding updates,
which is something that we haven't discussed in our draft.

                jak

---

From: Matthias Kraner <[email-masked]>
Date: Thu, 13 Jul 2000 09:54:42 +0100

James,

Maybe you like to have a look at the following ID:
 1. http URL:draft-cnyap-iip-00.txt
    Summary
    Title: Itinerant Internet Protocol
There are some things in common (especially the issues with beacons).
Matthias

                    James Kempf
                    <[email-masked]>             To:     [email-masked]
                    Sent by: "IP Routing for              cc:
                    Wireless/Mobile Hosts                 Subject:     [MOBILE-IP] Comparison of Fast Handoff and Proactive Handoff
                    (mobile-ip)"
                    <[email-masked]
                    WORKS.COM>

                    12/07/2000 22:56
                    Please respond to James Kempf

Karim and Hesham,

1) The lack of need for L3 beacons means that there is no need
to take up precious air time on a bearer channel for those radio systems
(like
3G systems) where spectrum is licensed, and often very expensive.

2) The new FA has an opportunity to perform checks of QoS capacity and
other

although it would require some L2 support and some exchange of L2
information

                jak

---

From: James Kempf <[email-masked]>
Date: Thu, 13 Jul 2000 14:12:13 -0700

Hi Karim,

(Apologies if this slipped off incomplete). Comments interspersed.

>>
>>  The draft makes it clear that the Mobile Node MAY ignore
>>  packets from a
>>  Foreign Agent, and it certainly does not have to register
>>  with it either. Yes,
>>  it is different from RFC 2002 and the Regional Registration
>>  draft, but keep in
>>  mind that we are trying to solve a problem that I believe
>>  wasn't fully covered
>>  in those specs. btw, the FA is NOT registering on behalf of
>>  the Mobile Node,
>>  it is simply informing its GFA that a Mobile Node is
>>  entering its cell. The
>>  Mobile Node STILL needs to register.
>
>OK, so my understanding was correct.
>However, you state in your draft that proactive FA plus Regional
>Registrations provide a complete fast-handoff solution for Mobile IP.
>I think proactive FA is not compatible with Regional Registrations.
>

Why do you think it isn't compatible?

>Also, as I already mentioned in previous emails, I don't like the word
>"cell" above since it implies L2 scenarios. As you say below, we don't
>want to get into L2 issues.
>
>Let me put what I wrote previously in another way. The GFA/FA establish
>some form of a binding with a small lifetime for the MN without
>involving the MN. Maybe this is a better description.
>

Agreed.

>>  >
>>  > Network control of L3 handoff is possible in both our
>>  approaches, but
>>  > MN control of L3 handoff is not possible in your approach.
>>
>>  Incorrect. The Mobile Node has full control over who it is
>>  willing to register
>>  with. If two FAs share a common GFA, then the draft does
>>  allow new FAs to
>>  receive traffic for the Mobile Node entering its cell before
>>  the registration
>>  occurs. However, this assumes that the GFA and FAs are under the same
>>  administrative control, so I see no harm since your traffic
>>  is already
>>  traversing that net.
>
>How is it possible for a MN to have control over L3 handoff if it
>isn't aware that a L3 handoff is occurring? I think the MN has no
>real control over the L3 handoff process since it doesn't perform
>movement detection and doesn't originate the (Regional) Registration
>Request message. When the MN stays within the same domain, the MN
>may not want to move to a certain RFA for a number of reasons
>(preference? cost?). You seem to assume that a MN will have no
>preference between FAs within a domain. IMO this is a limitation.
>

It certainly becomes aware when the advertisement shows up, and could
reject it at that point.

However, I think this discussion is hiding  the real issue. The fundamental
difference between our proposal and yours is who has ultimate
control over handoff, the network or the mobile . We are proposing that the
network is in a much better position to perform functions such as load
balancing, QoS determination, etc, especially in 3G-type networks, and therefore
the network should be the final arbiter of where the mobile is placed. In your
proposal, the mobile gets the final say over whether it will or will not take a
handoff, so the network's decision could be overridden.

There are a couple problems with giving the mobile the final say:

1) In wireless LAN networks where spectrum is free, cells are small, channels
are shared, and a rich L2 hides the details of handoff from the mobile,
there is really not much sense in having the network involved. If a
particular cell gets congested, another access point can be installed
for a couple hundred dollars or so, and in the interim, the user usually isn't
paying for the spectrum anyway. In 3G networks, spectrum is very expensive,
cells are large because the equipment is not cheap, channels aren't shared, and
the L2 is pretty thin, since the mobility control is being done
by the RAN protocol which is really an L5 protocol. An operator can't simply
install another cell by going out and buying another access point as easily as
in a wireless LAN, and users get very upset if their cell phone service is
spotty because they are paying for it. Consequently, the operators want the
network to have the ability to control where and when handoff occurs, so they
can perform proper load balancing, etc., because, ultimately, their
customers are paying them for maintaining "telephony quality" service.

2) If the mobile gets final say, then the mobile has to perform load
balancing, QoS determination, etc. This means the mobile has to
be considerably "fatter" in terms of its functionality. If we
want to enable a new generation of mobile wireless network appliances, we are
going to have to have a design in which the functionality impact
of the fast handoff mobility design on the mobile is minimal. This leaves
more room for the software that counts to the user, namely the application
software.

I realize that the "mobile gets final say" position is the traditional
mobile IP position, but remember that originated from a wireless
LAN base. The economics and engineering of 3G wireless WANs are
considerably different. And our proposal isn't saying that "network
gets the final say" is the right solution for all cases. In a wireless
LAN, it may work just fine.

>>  We do not get into L2 advertisement issues in our draft, as
>>  the Mobile IP WG
>>  tries to stay away from L2 issues. Certainly, an air
>>  interface is more than
>>  welcome to add advertisements to their protocol.
>
>What is a L2 advertisement? I don't know what you mean but
>this was never suggested.
>

Here's a quote from your draft:

   This solution assumes that the FA with which the MN is currently
   registered is aware of the IP address of the "new" FA which the MN is
   moving to. The method by which the current FA is informed of this may
   depend on interaction with L2 and is outside the scope of this draft.

That sounds like an L2 advertisment to me.

>>
>>  I agree that advertisements must be issued sparingly, but
>>  when should the FA
>>  issue them? That is the issue at hand.
>
>We cover this in our draft.
>

Your draft makes alot of assumptions about L2 interaction (including
passage cited the above) with mobile IP that IMHO are trying to
get around the need for a multicast L3 FA Advert. Our draft makes
no such assumptions. We only require that:

1) The old FA, the mobile, and/or the new FA in conjunction be able to provide
information about power level from possible candidate new
RANs/access points, so the old FA can make a determination, based on
information about network load and QoS availability, which candidate new FA
is the appropriate one to hand the mobile off to.

2) There be some way for the old FA, in conjunction with the new
FA and the mobile, to be able to initiate an L2 handoff.

Both of these are within the capability of existing 3G RAN protocols
(though not of 802.11, since it does handoff at L2 and tells the
mobile and access point about it if they ask).

>>  > I agree with you that we should not dwell on L2 details.
>>  However I don't
>>  > agree that what you are saying above is necessarily an
>>  important thing
>>  > for 3G systems. Radio networks don't always need to be
>>  directly connected,
>>  > but they exchange messages which we consider as
>>  radio-specific L2 messages.
>>  > That is our assumption which is applicable IMO and allows
>>  us to hide most
>>  > L2 details and concentrate on generic L3 handoffs.
>>
>>  This is also NOT covered by the pro-active FA draft, and the
>>  draft works quite
>>  well without the propagation of L2 data, so let's not worry
>>  about this in this
>>  WG.
>
>I'm a bit confused. You seem to have different views than
>James regarding this particular point, so I can't understand what
>the assumptions behind your draft are. As I said previously
>propagation of L2 data should not be an item here.
>

I think Pat and I agree that the mobile IP working group is not
the place to get into details about where and how L2 data gets
propagated over L3. However, I think we also agree that there are some
3G scenerios where exchanging L2 data over L3 is necessary. Whether
IETF gets involved in specifying this is an open question at this point.

                jak

---

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Fri, 14 Jul 2000 20:23:37 +0200

Hello Pat

Sorry if I'm not writing a detailed reply. I only want to
summarise my understanding of our exchanges so as to provide
a basis for the discussion in Pittsburgh since we have covered
most of the arguments already:

1) The proactive FA draft supports network-controlled L3
handoffs. The MN may react to the network-controlled handoff
after it has moved and obtained L2 connectivity to the new RFA.
Proactive FA probably requires changes to the normal Mobile IP
and Regional Registrations models.

2) The Fast Handoffs draft supports both network-controlled and
MN-controlled L3 handoffs.

3) The Fast Handoffs draft requires the MN to register with
the new RFA/GFA before it moves and before it obtains L2
connectivity to that new RFA, thus anticipating the MN's movement.

4) The proactive draft requires the MN to register with the new
RFA after it has moved to it, but the new RFA will already
hold a temporary binding for the MN through a network-based
mechanism (binding update from the old RFA).

5) The proactive draft introduces a new message (handoff
request).

6) The Fast Handoffs draft only reuses Regional Registration
messages.

7) Both drafts require an RFA to have some notification (from
L2) identifying which new RFA the MN will move to.

8) The details of L2 issues should not come into the fast handoffs
area.

Regards,
Karim

>  -----Original Message-----
>  From: [email-masked] [mailto:[email-masked]]
>  Sent: Friday, July 14, 2000 4:11 PM
>  To: Karim El-Malki (ERA)
>  Cc: [email-masked]
>  Subject: Re: [MOBILE-IP] Comparison of Fast Handoff and Proactive
>  Handoff
>
>
>  > Hello Chandana
>  >
>  > >  The handoff isnt completed until the MN registers with the
>  > >  "new" FA. Hence the MN has complete control over it. The
>  > >  draft only talks about preparing the "new" FA in
>  > >  anticipation of the arrival of the MN. After the MN arrives
>  > >  in the service area of the "new" FA it is upto it to accept
>  > >  or reject the FA. The MN is free to exercise its preference.
>  >
>  > As I wrote in my previous email, at the time when the MN is
>  > free to exercise its preference, the "new" RFA already has a
>  > binding for the MN. The MN may therefore choose to extend this
>  > binding by performing a Registration. The L3 handoff (binding
>  > with new RFA) goes on beforehand and the MN only has the choice
>  > whether to renew the binding or not. I can't see any
>  > "complete control" on the L3 handoff by the MN. The MN can only
>  > react after the binding with the new RFA (L3 handoff) has
>  > already been established.
>
>  Yes, but again, keep in mind that this can only occur *if*
>  the FA is under the
>  same administrative control as the GFA, so to be honest with
>  you, I don't see
>  the problem.
>
>  BTW, when Regional Registration is involved, the Mobile
>  never has complete
>  control anyways, since the hierarchy may be hidden from the
>  mobile. Further,
>  as a mobile moves around the wireless network, you are
>  making assumptions that
>  it knows a priori about certain routers, and where it wants
>  to get service
>  from, I would argue that in the real world, people want
>  service, and in many
>  cases don't know where it is coming from. This is no
>  different. Certainly a
>  user may care about the carrier, but a specific router
>  within a carrier's
>  network??
>
>  Perhaps your point is valid in a LAN or campus environment.
>
>  >
>  > > On the other hand we require only 2 messages
>  > > sent before the MN "can" recieve service. It is upto the MN
>  > >  to decide whether it want to accept the service or not.
>  >
>  > Again, the new FA already has a binding for the MN. The MN may
>  > only decide whether to renew this binding, but it can't stop the
>  > new FA from providing service to it (i.e. receiving and buffering
>  > the MN's data) for at least a short time. So it can't really
>  > decide whether it wants to accept the service, it can only decide
>  > whether it wants to renew the binding and receive data from the FA.
>
>  It is always free to get service from another Foreign Agent,
>  or continue
>  receiving service from the old FA until the signal fades
>  away. Ultimately, the
>  mobile has control, but network is simply trying to assist.
>
>  >
>  > >
>  > >  >>  But how long does it take for the MN to detect that it needs
>  > >  >>  to perform the
>  > >  >>  handoff?
>  > >  >
>  > >  >With appropriate movement detection (which is probably the most
>  > >  >important factor) this can be very fast. That's why we discuss
>  > >  >this in our draft.
>  > >  >
>  > >
>  > >  While your draft proposes the mobile handle this, we
>  > >  propose the network handle it.
>  >
>  >
>  > That is not correct, our draft allows both the network and the MN
>  > to control the L3 handoff, while proactive FA does not allow the MN
>  > to control the L3 handoff (establishment of binding with new FA).
>  > Please refer to my previous email.
>
>  Please refer to my above response.
>
>